Loading...
Searching...
No Matches
Sampler< 2, true > Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for Sampler< 2, true >:

## Static Public Member Functions

static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the floating-point index coordinate inCoord and store the result in result.
template<class TreeT>
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Triquadratically reconstruct inTree at to inCoord.

## Member Function Documentation

## consistent()

bool consistent | ( |  | ) |

static

## mipmap()

bool mipmap | ( |  | ) |

static

## name()

const char * name | ( |  | ) |

static

## order()

size_t order | ( |  | ) |

static

## radius()

int radius | ( |  | ) |

static

## sample() [1/2]

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result )

static

Sample inTree at the floating-point index coordinate inCoord and store the result in result.

Returns
  `true` if the sampled value is active.

## sample() [2/2]

template<class TreeT>

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord )

inline static inherited

Triquadratically reconstruct inTree at to inCoord.

Returns
  the reconstructed value

## staggered()

bool staggered | ( |  | ) |

static